org.apache.cxf.configuration.jsse

## Class TLSClientParametersConfig.TLSClientParametersTypeInternal

- java.lang.Object
- - org.apache.cxf.configuration.security.TLSClientParametersType
  - - org.apache.cxf.configuration.jsse.TLSClientParametersConfig.TLSClientParametersTypeInternal

- Enclosing class:
    TLSClientParametersConfig

      public static class TLSClientParametersConfig.TLSClientParametersTypeInternal
      extends org.apache.cxf.configuration.security.TLSClientParametersType

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.configuration.security.TLSClientParametersType

      `certAlias, certConstraints, cipherSuites, cipherSuitesFilter, disableCNCheck, enableRevocation, jsseProvider, keyManagers, secureRandomParameters, secureSocketProtocol, sslCacheTimeout, trustManagers, useHttpsURLConnectionDefaultHostnameVerifier, useHttpsURLConnectionDefaultSslSocketFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSClientParametersTypeInternal()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyManager[]` | `getKeyManagersRef()`
    `TrustManager[]` | `getTrustManagersRef()`
    `boolean` | `isSetKeyManagersRef()`
    `boolean` | `isSetTrustManagersRef()`
    `void` | `setKeyManagersRef(KeyManager[] keyManagersRef)`
    `void` | `setTrustManagersRef(TrustManager[] trustManagersRef)`

    - ### Methods inherited from class org.apache.cxf.configuration.security.TLSClientParametersType

      `getCertAlias, getCertConstraints, getCipherSuites, getCipherSuitesFilter, getJsseProvider, getKeyManagers, getSecureRandomParameters, getSecureSocketProtocol, getSslCacheTimeout, getTrustManagers, isDisableCNCheck, isEnableRevocation, isSetCertAlias, isSetCertConstraints, isSetCipherSuites, isSetCipherSuitesFilter, isSetDisableCNCheck, isSetEnableRevocation, isSetJsseProvider, isSetKeyManagers, isSetSecureRandomParameters, isSetSecureSocketProtocol, isSetSslCacheTimeout, isSetTrustManagers, isSetUseHttpsURLConnectionDefaultHostnameVerifier, isSetUseHttpsURLConnectionDefaultSslSocketFactory, isUseHttpsURLConnectionDefaultHostnameVerifier, isUseHttpsURLConnectionDefaultSslSocketFactory, setCertAlias, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setDisableCNCheck, setEnableRevocation, setJsseProvider, setKeyManagers, setSecureRandomParameters, setSecureSocketProtocol, setSslCacheTimeout, setTrustManagers, setUseHttpsURLConnectionDefaultHostnameVerifier, setUseHttpsURLConnectionDefaultSslSocketFactory, unsetDisableCNCheck, unsetEnableRevocation, unsetSslCacheTimeout, unsetUseHttpsURLConnectionDefaultHostnameVerifier, unsetUseHttpsURLConnectionDefaultSslSocketFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSClientParametersTypeInternal

          public TLSClientParametersTypeInternal()

  - ### Method Detail

    - #### getKeyManagersRef

          public KeyManager[] getKeyManagersRef()

    - #### setKeyManagersRef

          public void setKeyManagersRef(KeyManager[] keyManagersRef)

    - #### isSetKeyManagersRef

          public boolean isSetKeyManagersRef()

    - #### getTrustManagersRef

          public TrustManager[] getTrustManagersRef()

    - #### setTrustManagersRef

          public void setTrustManagersRef(TrustManager[] trustManagersRef)

    - #### isSetTrustManagersRef

          public boolean isSetTrustManagersRef()

Apache CXF